/*!
 * ======================================================
 * FeedBack Template For MUI (http://dev.dcloud.net.cn/mui)
 * =======================================================
 * @version:1.0.0
 * @author:cuihongbao@dcloud.io
 */
(function() {
	var index = 1;
	var size = null;
	var imageIndexIdNum = 0;
	var starIndex = 0;
	var feedback = {
		question: document.getElementById('question'), 
		contact: document.getElementById('contact'), 
		imageList: document.getElementById('image-list'),
		submitBtn: document.getElementById('submit')
	};	
	feedback.deviceInfo = null;
	$("#mobileInfo").val("user agent = " + navigator.userAgent + ",platform = " + navigator.platform + ",appVersion =" + navigator.appVersion);
	/**
	 *提交成功之后，恢复表单项 
	 */
	feedback.clearForm = function() {
		feedback.question.value = '';
		feedback.contact.value = '';						
		index = 0;
		size = 0;		
		starIndex = 0;
		//清除所有星标
		mui('.icons i').each(function (index,element) {
			if (element.classList.contains('mui-icon-star-filled')) {
				element.classList.add('mui-icon-star')
	  			element.classList.remove('mui-icon-star-filled')
			}
		})
	};
		    	
	feedback.submitBtn.addEventListener('tap', function(event) {
		if (feedback.question.value.length <= 0) {
			return mui.toast('问题和意见不能为空')
		}
		
		if (feedback.contact.value != '' &&
			feedback.contact.value.search(/^(\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+)|([1-9]\d{4,9})$/) != 0) {
			return mui.toast('QQ/邮箱填写错误');
		}

		if (feedback.question.value.length > 2000 || feedback.contact.value.length > 200) {
			return mui.toast('内容太多了，可以简单点吗？')
		}
		
		$("#frm").submit();
				
	}, false);
	
	$('#frm').ajaxForm(function() { 
        mui.alert("谢谢反馈，点击确定返回上一页","发送成功","确定",function () {
			commentanalyzer.goBackToLastActivity();
		});
    });  
	
	//应用评分
	mui('.icons').on('tap','i',function(){
	  	var index = parseInt(this.getAttribute("data-index"));
	  	var parent = this.parentNode;
	  	var children = parent.children;
	  	if(this.classList.contains("mui-icon-star")){
	  		for(var i=0;i<index;i++){
  				children[i].classList.remove('mui-icon-star');
  				children[i].classList.add('mui-icon-star-filled');
	  		}
	  	}else{
	  		for (var i = index; i < 5; i++) {
	  			children[i].classList.add('mui-icon-star')
	  			children[i].classList.remove('mui-icon-star-filled')
	  		}
	  	}
	  	starIndex = index;
	  	$("#grade").val(starIndex);
    });
  	//选择快捷输入
	mui('.mui-popover').on('tap','li',function(e){
	  var content = document.getElementById("question").value;
	  var delim = "";
	  	 delim = "，"
	  if (content.length > 0) {
	  } else {
	  	 delim = "";
	  }
	  document.getElementById("question").value = content + delim + this.children[0].innerHTML;
	  mui('.mui-popover').popover('toggle');
	});
	
	var fileInput = document.getElementById('imageFile');    
    var preview = document.getElementById('imgPreview');
    fileInput.addEventListener('change', function () {
      preview.style.display = "block";
	  // 清除背景图片:
	  preview.style.backgroundImage = '';
	  // 检查文件是否选择:
	  if (!fileInput.value) {
	  	return mui.toast('没有选择文件');
	  }
	  // 获取File引用:
	  var file = fileInput.files[0];
	  if (file.size > 10*1024*1024) {
	  	return mui.toast('文件太大了');
	  }
	  if (file.type !== 'image/jpeg' && file.type !== 'image/png' && file.type !== 'image/gif') {
	    return mui.toast('不是有效的图片文件');
	  }
	  // 读取文件:
	  var reader = new FileReader();
	  reader.onload = function(e) {
	    var data = e.target.result; // 'data:image/jpeg;base64,/9j/4AAQSk...(base64编码)...'      
	    preview.style.backgroundImage = 'url(' + data + ')';
	  };
	  // 以DataURL的形式读取文件:
	  reader.readAsDataURL(file);
	});
	
})();