/*
  功能：递归查看对象的内容
*/	  
function print_obj(obj)
{
	function dumpObj(obj, name, indent, depth) 
	{  
		if (depth > MAX_DUMP_DEPTH) 
		{  
			return indent + name + ": <Maximum Depth Reached>n";  
		}  
		if (typeof obj == "object") 
		{  
			var child = null;  
			var output = indent + name + "：\n";  
			indent += "\t";  
			for (var item in obj) 
			{  
				try 
				{  
					child = obj[item];  
				} 
				catch (e) 
				{  
					child = "<Unable to Evaluate>";  
				}  
				if (typeof child == "object") {  
					output += dumpObj(child, item, indent, depth + 1);  
				} 
				else {  
					output += indent + item + ": " + child + "\n";  
				}  
			}  
			return output;  
		} 
		else 
		{  
			return obj;  
		}  
	}  	  
	var MAX_DUMP_DEPTH = 10;  
    console.log("-----------------print_obj starts------------------");	
    var output = dumpObj(obj,'Object',' ',1);	
	console.log(output);
    console.log("-----------------print_obj end------------------");	
}

/*
  功能：日期格式化
  使用方法：
  var now = new Date().format("yyyy-MM-dd hh:mm:ss");		
*/
Date.prototype.format =function(format)
{
	var weekDay = ['Sun','Mon','Tue','Wed','Thu','Fri','Sat'];
	var month = ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
	var o = {
	"M+" : this.getMonth()+1, //month
	"d+" : this.getDate(), //day
	"h+" : this.getHours(), //hour
	"m+" : this.getMinutes(), //minute
	"s+" : this.getSeconds(), //second
	"q+" : Math.floor((this.getMonth()+3)/3), //quarter
	"S" : this.getMilliseconds(), //millisecond
	"D" : weekDay[this.getDay()], //A textual representation of a day, three letters, Mon through Sun
	"n":  month[this.getMonth()] //A short textual representation of a month, three letters,Jan through Dec
	}
	if(/(y+)/.test(format)) format=format.replace(RegExp.$1,(this.getFullYear()+"").substr(4- RegExp.$1.length));
	for(var k in o)if(new RegExp("("+ k +")").test(format))
	format = format.replace(RegExp.$1,RegExp.$1.length==1?o[k]:("00"+ o[k]).substr((""+ o[k]).length));
	return format;
}